---
title: "EH1 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/EH1"
canonical_url: "https://regulex.uk/directory/postcode/EH1"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area EH1. Monitoring 148 accountancy practices and 5,692 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/EH1](https://regulex.uk/directory/postcode/EH1)
>
> *Statutory compliance registry for postal area EH1. Monitoring 148 accountancy practices and 5,692 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in EH1

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [MCFADDEN ASSOCIATES LIMITED](https://regulex.uk/practice/dashboard?crn=SC224589) CRN: SC224589 • EH1 2BB | 241 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC224589) |
| 2 | [ORR SQUARED LIMITED](https://regulex.uk/practice/dashboard?crn=SC686047) CRN: SC686047 • EH1 2BB | 241 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC686047) |
| 3 | [JOHNSTON SMILLIE LTD](https://regulex.uk/practice/dashboard?crn=SC277435) CRN: SC277435 • EH12 9EG | 184 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC277435) |
| 4 | [WHITE CAT TAX AND ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=SC878577) CRN: SC878577 • EH12 9EG | 184 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC878577) |
| 5 | [ACCOUNT AND TAX LTD](https://regulex.uk/practice/dashboard?crn=SC663322) CRN: SC663322 • EH12 9DQ | 165 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC663322) |
| 6 | [H BAKER ACCOUNTANT LIMITED](https://regulex.uk/practice/dashboard?crn=SC747136) CRN: SC747136 • EH12 9DQ | 165 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC747136) |
| 7 | [MSG ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=SC752424) CRN: SC752424 • EH12 9DQ | 165 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC752424) |
| 8 | [NINETEEN25 GROUP LIMITED](https://regulex.uk/practice/dashboard?crn=SC824711) CRN: SC824711 • EH12 9DQ | 165 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC824711) |
| 9 | [ARCATA ACCOUNTANCY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC604945) CRN: SC604945 • EH1 3QB | 163 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC604945) |
| 10 | [ARCATA CONTRACT SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC604943) CRN: SC604943 • EH1 3QB | 163 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC604943) |
| 11 | [ARCATA LIMITED](https://regulex.uk/practice/dashboard?crn=SC254689) CRN: SC254689 • EH1 3QB | 163 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC254689) |
| 12 | [FINANCE BUSINESS PARTNER LIMITED](https://regulex.uk/practice/dashboard?crn=SC550256) CRN: SC550256 • EH1 3QB | 163 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC550256) |
| 13 | [SYSTEMATIC ACCOUNTANCY & TAX LIMITED](https://regulex.uk/practice/dashboard?crn=SC403196) CRN: SC403196 • EH1 3QB | 163 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC403196) |
| 14 | [GIBSON MCKERRELL BURROWS LIMITED](https://regulex.uk/practice/dashboard?crn=SC792493) CRN: SC792493 • EH1 2BW | 160 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC792493) |
| 15 | [GMB GREEN LIMITED](https://regulex.uk/practice/dashboard?crn=SC736302) CRN: SC736302 • EH1 2BW | 160 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC736302) |
| 16 | [GMB I LIMITED](https://regulex.uk/practice/dashboard?crn=SC792596) CRN: SC792596 • EH1 2BW | 160 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC792596) |
| 17 | [JJAK INVESTMENTS LIMITED](https://regulex.uk/practice/dashboard?crn=SC792595) CRN: SC792595 • EH1 2BW | 160 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC792595) |
| 18 | [MOTS CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=SC793399) CRN: SC793399 • EH12 7SJ | 125 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC793399) |
| 19 | [PHILIP BALD ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=SC477089) CRN: SC477089 • EH12 7SJ | 125 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC477089) |
| 20 | [N C ANDREW LTD](https://regulex.uk/practice/dashboard?crn=SC644185) CRN: SC644185 • EH11 4BY | 118 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC644185) |
| 21 | [ZEN CONSULTANTS (EDIN) LTD.](https://regulex.uk/practice/dashboard?crn=SC562696) CRN: SC562696 • EH12 8LJ | 116 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC562696) |
| 22 | [ZEN CONSULTANTS (SCOTLAND) LTD.](https://regulex.uk/practice/dashboard?crn=SC302311) CRN: SC302311 • EH12 8LJ | 116 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC302311) |
| 23 | [FACTS AND FIGURES (SCOTLAND) LIMITED](https://regulex.uk/practice/dashboard?crn=SC149558) CRN: SC149558 • EH1 2AE | 115 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC149558) |
| 24 | [FACTS AND FIGURES LIMITED](https://regulex.uk/practice/dashboard?crn=SC710189) CRN: SC710189 • EH1 2AE | 115 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC710189) |
| 25 | [BBCIA LTD](https://regulex.uk/practice/dashboard?crn=SC331389) CRN: SC331389 • EH10 7DS | 114 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC331389) |
| 26 | [ALISTAIR WILKIE LAW ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=SC431989) CRN: SC431989 • EH10 5LZ | 83 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC431989) |
| 27 | [J S ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC349734) CRN: SC349734 • EH10 5LZ | 83 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC349734) |
| 28 | [LWJ ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=SC309170) CRN: SC309170 • EH1 3LH | 78 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC309170) |
| 29 | [BLACK & CO CORPORATE LTD.](https://regulex.uk/practice/dashboard?crn=SC420191) CRN: SC420191 • EH14 7AN | 62 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC420191) |
| 30 | [BLACK THISTLE CONSULTING LTD.](https://regulex.uk/practice/dashboard?crn=SC481289) CRN: SC481289 • EH14 7AN | 62 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC481289) |
| 31 | [BUSINESS SUPPORT DEPARTMENT LIMITED](https://regulex.uk/practice/dashboard?crn=SC370101) CRN: SC370101 • EH12 8HL | 54 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC370101) |
| 32 | [CDW ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=SC659592) CRN: SC659592 • EH12 8HL | 54 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC659592) |
| 33 | [ACCOUNTANCY SCOTLAND (BORDERS) LIMITED](https://regulex.uk/practice/dashboard?crn=SC699121) CRN: SC699121 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC699121) |
| 34 | [ACCOUNTANCY SCOTLAND (NORTH) LIMITED](https://regulex.uk/practice/dashboard?crn=SC498357) CRN: SC498357 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC498357) |
| 35 | [ACCOUNTANCY SCOTLAND (PERTH AND KINROSS) LIMITED](https://regulex.uk/practice/dashboard?crn=SC678737) CRN: SC678737 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC678737) |
| 36 | [ACCOUNTANCY SCOTLAND (WEST) LIMITED](https://regulex.uk/practice/dashboard?crn=SC516024) CRN: SC516024 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC516024) |
| 37 | [ACCOUNTANCY SCOTLAND LIMITED](https://regulex.uk/practice/dashboard?crn=SC458162) CRN: SC458162 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC458162) |
| 38 | [ACCOUNTANCY SOFTWARE LIMITED](https://regulex.uk/practice/dashboard?crn=SC699198) CRN: SC699198 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC699198) |
| 39 | [PAY.SCOT LIMITED](https://regulex.uk/practice/dashboard?crn=SC458234) CRN: SC458234 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC458234) |
| 40 | [SV ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC716524) CRN: SC716524 • EH10 5NE | 52 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC716524) |
| 41 | [SENSE ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=SC530164) CRN: SC530164 • EH10 4HJ | 36 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC530164) |
| 42 | [GIBSON MCKERRELL BROWN SERVICES LTD.](https://regulex.uk/practice/dashboard?crn=SC411604) CRN: SC411604 • EH1 2BD | 35 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC411604) |
| 43 | [ACCOUNTAXWISE LTD](https://regulex.uk/practice/dashboard?crn=SC418906) CRN: SC418906 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC418906) |
| 44 | [IA EDIN LTD](https://regulex.uk/practice/dashboard?crn=SC819622) CRN: SC819622 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC819622) |
| 45 | [LJY ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=SC747802) CRN: SC747802 • EH11 1LN | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC747802) |
| 46 | [MF PARK LTD](https://regulex.uk/practice/dashboard?crn=SC768922) CRN: SC768922 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC768922) |
| 47 | [MK SCOT LTD](https://regulex.uk/practice/dashboard?crn=SC819624) CRN: SC819624 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC819624) |
| 48 | [NAVECO GENERAL LTD](https://regulex.uk/practice/dashboard?crn=SC451342) CRN: SC451342 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC451342) |
| 49 | [SUNZ ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=SC379587) CRN: SC379587 • EH12 7XD | 33 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC379587) |
| 50 | [JEFFREY CRAWFORD LIMITED](https://regulex.uk/practice/dashboard?crn=SC512185) CRN: SC512185 • EH1 2ER | 32 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC512185) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/EH1](https://regulex.uk/directory/postcode/EH1).
